
QGIS Application - Bug report #13762

Error accessing external WMS server -- WMS provider: Cannot calculate extent

2015-11-05 12:10 AM - Mario FF

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21788

Description

When adding any layer from "http://www.madrid.org/cartografia/ide/wms/WMS_MAPAS_TOPOGRAFICOS.xml" to QGIS, the following

error is shown (in spanish):

WMS provider: No se puede calcular la extensión

Raster layer: El proveedor no es válido (proveedor: wms, URL:

contextualWMSLegend=0&crs=EPSG:4230&dpiMode=7&featureCount=10&format=image/jpeg&layers=MADRID_38000_2008_2&styles=&url=http://www.madrid.org/cartografia/ide/wms/WMS_MAPAS_TOP

s=&url=http://www.madrid.org/cartografia/ide/wms/WMS_MAPAS_TOPOGRAFICOS.xml)

It has been happening in the last versions of QGIS

Related issues:

Related to QGIS Application - Bug report # 14589: GetCapabilities gets cached... Closed 2016-03-29

Related to QGIS Application - Bug report # 13294: WMS extent/coordinates wron... Closed 2015-08-31

Associated revisions

Revision 1ec7ad56 - 2016-06-13 12:22 PM - Even Rouault

[WMS provider] Tolerate GetCapabilities response with several top-level layers

Fix #13762

Also, in case there's a single layer advertized, show it in the browser.

History

#1 - 2015-11-05 05:52 AM - Giovanni Manghi

- Category set to Web Services clients/WMS

- Priority changed from Normal to Severe/Regression

- Target version set to Future Release - High Priority

- Affected QGIS version changed from 2.12.0 to master

I confirm the issue, also on master. This was not an issue on 1.8.

#2 - 2016-01-23 12:57 PM - Martin Dobias

- Assignee set to Martin Dobias

#3 - 2016-02-25 12:12 AM - Martin Dobias

- Assignee deleted (Martin Dobias)
This is an interesting case... normally WMS servers have one top-level layer, which then contains a bunch of sub-layers. In this case there are multiple

top-level layers. Parsing of WMS capabilities in QGIS is a bit messy, so while in some places this is accepted, in others (like calculation of extent) it does

not work.

The question is whether this is allowed by WMS: in 1.3.0 the XML schema says there is just one top-level layers, in 1.1.1 I am unable to find a statement

for or against it (there is no XML schema, just DTD which does not provide such information). The backend server is ERDAS APOLLO. Maybe in this case

of multiple top-level layers we could just patch the XML to have one empty top-level layer so that the rest of the code can make the usual assumptions.

#4 - 2016-03-09 10:05 AM - Raul Nanclares

I just found this bug using geoserver, apparently it only affects version 2.14. Same WMS is working completely fine with 2.8 and 2.12. This WMS has many

top-level raster layers but it's only happening on some of the layers not all. http://geo.guadalajara.gob.mx:8080/geoserver/gdlsig/wms?

Something that's even weirder the WMTS is working flawlessly.

#5 - 2016-04-09 08:51 AM - Giovanni Manghi

see also #14589

#6 - 2016-06-10 12:42 AM - Richard Duivenvoorde

I'm experiencing this behaviour here also with an older Geoserver version. BUT with normal capabilities.

When I have added a new layer, I get this error. Then sometimes after restarting QGIS, it will load, and after removing or restarting it will not load again...

I also did some fiddling with the cache-directory (which is not being saved with me by the way, see #14990)

When I set the cache directory I can add the layer, and KEEP being able to add it.

#7 - 2016-06-13 01:09 AM - Richard Duivenvoorde

Ok, definitly has something to do with the caching directory.

Adding a fresh layer in (already known) geoserver and trying to load the layer in QGIS I get the error.

BUT when I change the cache-directory in the settings to a fresh dir (like /tmp/foo) THEN QGIS just loads the layer...

#8 - 2016-06-13 01:49 AM - Richard Duivenvoorde

Maybe bring back the button 'clean cache'? back again would be helpfull in these cases (if impossible to fix otherways)

#9 - 2016-06-13 03:24 AM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"1ec7ad5633bf3f34f69851afcb0c258ea28d132f".
#10 - 2016-08-02 12:50 AM - Giovanni Manghi

- Status changed from Closed to Reopened

Seems not fixed, see also

https://lists.osgeo.org/pipermail/qgis-developer/2016-August/044000.html

#11 - 2017-03-06 08:33 AM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to not reproducable

This seems now ok on both 2.18.4 and master.

#12 - 2017-09-19 06:03 PM - Adam Szieberth

Giovanni Manghi wrote:

This seems now ok on both 2.18.4 and master.

Still not fixed in 2.18.6. I had to manually clear cache/data7.

#13 - 2017-09-19 07:42 PM - Giovanni Manghi

- Description updated

- Priority changed from Severe/Regression to Low

Adam Szieberth wrote:

Giovanni Manghi wrote:

This seems now ok on both 2.18.4 and master.

Still not fixed in 2.18.6. I had to manually clear cache/data7.

try with 2.18.13, thanks.
